petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetOption

Gets a parameter option that has been set for a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetOption(Mat mat,MatOption op,PetscBool *flg)

Logically Collective on Mat for certain operations, such as MAT_SPD, not collective for MAT_ROW_ORIENTED, see MatOption

### Input Parameters

| mat | - the matrix
| option | - the option, this only responds to certain options, check the code for which ones

### Output Parameter

flg -turn the option on (PETSC_TRUE) or off (PETSC_FALSE)

Notes: Can only be called after MatSetSizes() and MatSetType() have been set.

### See Also

MatOption, MatSetOption()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages